MANPATH(1)

NOM
manpath - Déterminer la liste des chemins d'accès aux pages de manuel

SYNOPSIS
manpath [-qgdc?V] [-m système[,...]] [-C fichier]

DESCRIPTION
Si $MANPATH est définie, manpath affichera simplement son contenu suivi d'un avertissement. Sinon manpath déterminera une liste appropriée de chemins d'accès aux structures hiérarchiques des pages de manuel et l'affichera. Cette liste, formée des chemins d'accès délimités par « : », est déterminée en utilisant l'information contenue dans le fichier de configuration de man-db - (/etc/man_db.conf) et en tenant compte de l'environnement d'utilisateur.

OPTIONS

-q, --quiet
    Ne pas afficher les avertissements.

-d, --debug
    Affiche les informations de mise au point.

-c, --catpath
    Produit une liste de chemins d'accès aux pages « cat » par opposition à une liste de chemins d'accès aux pages « man ». Une fois que la liste des chemins d'accès aux structures hiérarchiques des pages « man » est déterminée, chaque élément de cette liste est converti en un chemin d'accès relatif aux pages « cat ».

-g, --global
    Produit une liste de chemins d'accès aux structures hiérarchiques des pages « man » se composant de chacun des chemins défini « global » dans le fichier de configuration de man-db.

-m système[,...], --systems=système[,...]
    Si le système a accès aux structures hiérarchiques des manuels d'autres systèmes d'exploitation, cette option peut être employée pour les inclure dans le résultat de manpath. Pour inclure la structure hiérarchique des pages de manuel de NouveauSE employez l'option -m NouveauSE. Le système indiqué peut être une combinaison de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure les structures hiérarchiques natives de pages de manuel du système d'exploitation, le nom système « man » doit être inclus dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier ~/.manpath par défaut.

-?, --help
    Affiche un message d'aide et s'arrête.

--usage
    Affiche un court mode d'emploi et s'arrête.

-V, --version
    Affiche le numéro de version.

ENVIRONNEMENT

MANPATH
    Si $MANPATH est définie, manpath affiche sa valeur plutôt que de la déterminer à la volée. Si la valeur de $MANPATH débute par « : » alors elle sera ajoutée après la liste déterminée à partir du contenu des fichiers de configuration. Si les deux-points terminent la valeur de $MANPATH, alors la liste déterminée sera ajoutée après ce contenu. Si la valeur de la variable contient deux-points doublés « :: », alors la liste déterminée sera insérée au milieu de la valeur de $MANPATH, entre les deux-points doublés.

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiquée comme argument de l'option -m.

FICHIERS

/etc/man_db.conf
    Fichier de configuration de man-db.

VOIR AUSSI
apropos(1), man(1), whatis(1)

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. David Prévot <david@tilapin.org> et l'équipe francophone de traduction de Debian (2010).

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet man-db.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».